Bug 169931 - anaconda Traceback in File "/usr/lib/anaconda/gui.py", line 1063, in releaseNotesButtonClicked
anaconda Traceback in File "/usr/lib/anaconda/gui.py", line 1063, in release...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-10-05 08:09 EDT by James Laska
Modified: 2013-09-02 02:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 14:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump.txt (63.29 KB, text/plain)
2005-10-05 08:09 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2005-10-05 08:09:02 EDT
# TREE nightly/rawhide-20051005
# ARCH i386

I couldn't find this in bugzilla already, so please give a holler if this has
been filed.  I'm attaching the anacdump.txt file (obtained using the shiny *new*
remote scp support).  

Steps to reproduce:
 1) start up into the graphical stage2
 2) click release notes

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1063, in releaseNotesButtonClicked
    raise SystemError

Looking at the code in gui.py this almost looks intentional ... perhaps this is
just a TODO item?

   1052     #
   1053     # when user clicks on release notes button we queue a request to start
   1054     # the release notes viewer. The idle handler we setup will try to
   1055     # start the viewer when it is called. If we happen to be in an RPM
   1056     # callback during package installation and are in the chroot we cannot
   1057     # run the viewer.  The idle handler will just keep trying to start
   1058     # viewer until it gets called outside the chroot environment.
   1059     #
   1060     # Yes this is icky.
   1061     #
   1062     def releaseNotesButtonClicked (self, widget):
   1063         raise SystemError
   1064         # see if release notes are running
   1065         if self.releaseNotesViewerPid is not None:
   1066             log.warning("Viewer already present, pid =
   1067             return
   1069         if self.releaseNotesStartViewer:
   1070             log.warning("Already queued request to start a viewer")
   1071             return
Comment 1 James Laska 2005-10-05 08:09:02 EDT
Created attachment 119637 [details]
Comment 2 Chris Lumens 2005-10-05 09:59:46 EDT
Yeah, it was intentional.  I was reworking the GUI exception dialog and needed a
sure-fire way to generate an exception for testing, so this immediately came to
mind.  I got distracted by kickstart and never finished this up.  It shouldn't
have been committed at all.

Note You need to log in before you can comment on or make changes to this bug.